Release - Spurs TV

  Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
Leopold Offline
Fan
Posts: 358
Joined: Jan 2011
Reputation: 14
Location: UK
Post: #31
It's working on my Android tablet so I have no idea. What exactly is not working for you?
A debug log would certainly help.

Leopold's Repository: Home of LibreELEC Dev Updater ...
find quote
lilywhitespur Offline
Junior Member
Posts: 10
Joined: Feb 2016
Reputation: 0
Post: #32
Uninstall and reinstalling from the kodi and leopold repositories has not solved the problem. Here is the link to the log file, any advice would be fully appreciated thanks.http://xbmclogs.com/pae2iivfd
(This post was last modified: 2016-02-16 09:21 by lilywhitespur.)
find quote
Leopold Offline
Fan
Posts: 358
Joined: Jan 2011
Reputation: 14
Location: UK
Post: #33
(2016-02-15 23:29)lilywhitespur Wrote:  Uninstall and reinstalling from the kodi and leopold repositories has not solved the problem. Here is the link to the log file, any advice would be fully appreciated thanks. http://xbmclogs.com/pae2iivfd
There's a problem with xbmclogs.com (502 Bad Gateway). Can you use another site? Also please turn on debug mode in the add-on settings if you haven't already.
Thanks.

Leopold's Repository: Home of LibreELEC Dev Updater ...
find quote
lilywhitespur Offline
Junior Member
Posts: 10
Joined: Feb 2016
Reputation: 0
Post: #34
Ok understood re: the add on settings. Can you recommend another site for logging? I'm not experienced with this
find quote
Leopold Offline
Fan
Posts: 358
Joined: Jan 2011
Reputation: 14
Location: UK
Post: #35
http://paste.ubuntu.com/ should work

Leopold's Repository: Home of LibreELEC Dev Updater ...
find quote
lilywhitespur Offline
Junior Member
Posts: 10
Joined: Feb 2016
Reputation: 0
Post: #36
Here you go mate http://paste.ubuntu.com/15089544/
find quote
lilywhitespur Offline
Junior Member
Posts: 10
Joined: Feb 2016
Reputation: 0
Post: #37
(2016-02-16 00:00)Leopold Wrote:  http://paste.ubuntu.com/ should work


Could you see what's causing the error from the log leopold? Any further tips or advice welcome, I miss Spurs Tv from my kodi setup
find quote
Leopold Offline
Fan
Posts: 358
Joined: Jan 2011
Reputation: 14
Location: UK
Post: #38
(2016-02-18 22:43)lilywhitespur Wrote:  
(2016-02-16 00:00)Leopold Wrote:  http://paste.ubuntu.com/ should work


Could you see what's causing the error from the log leopold? Any further tips or advice welcome, I miss Spurs Tv from my kodi setup
Yes it's not a problem with the add-on itself, it's a problem with finding the html5lib parser on your system. It turns out that I don't need to use that parser anymore so I've released a 2.5.0 which should work for you and may be a bit faster for everyone.

It's currently in my repo but should be in the Official repo soon.

Leopold's Repository: Home of LibreELEC Dev Updater ...
find quote
lilywhitespur Offline
Junior Member
Posts: 10
Joined: Feb 2016
Reputation: 0
Post: #39
(2016-02-18 23:49)Leopold Wrote:  
(2016-02-18 22:43)lilywhitespur Wrote:  
(2016-02-16 00:00)Leopold Wrote:  http://paste.ubuntu.com/ should work


Could you see what's causing the error from the log leopold? Any further tips or advice welcome, I miss Spurs Tv from my kodi setup
Yes it's not a problem with the add-on itself, it's a problem with finding the html5lib parser on your system. It turns out that I don't need to use that parser anymore so I've released a 2.5.0 which should work for you and may be a bit faster for everyone.

It's currently in my repo but should be in the Official repo soon.

I've installed 2.5.0 from the leopold repository and spurs tv is giving me the same error
find quote
Leopold Offline
Fan
Posts: 358
Joined: Jan 2011
Reputation: 14
Location: UK
Post: #40
Try 2.6.0. If it still fails I'll need to look at your latest log file

Leopold's Repository: Home of LibreELEC Dev Updater ...
find quote
lilywhitespur Offline
Junior Member
Posts: 10
Joined: Feb 2016
Reputation: 0
Post: #41
(2016-02-19 03:10)Leopold Wrote:  Try 2.6.0. If it still fails I'll need to look at your latest log file

2.6.0 still fails here is the latest log file http://paste.ubuntu.com/15129920/
find quote
Leopold Offline
Fan
Posts: 358
Joined: Jan 2011
Reputation: 14
Location: UK
Post: #42
(2016-02-19 12:18)lilywhitespur Wrote:  
(2016-02-19 03:10)Leopold Wrote:  Try 2.6.0. If it still fails I'll need to look at your latest log file

2.6.0 still fails here is the latest log file http://paste.ubuntu.com/15129920/

I forgot that Android still uses Python 2.6 which has a less lenient html parser that cannot parse the html on the Spurs website. This means that until all platforms use 2.7 I will have to continue to use html5lib. You'll have to downgrade the add-on to 2.4.0 and probably start with a fresh profile to fix your errors related to libraries not being found.

Leopold's Repository: Home of LibreELEC Dev Updater ...
find quote
lilywhitespur Offline
Junior Member
Posts: 10
Joined: Feb 2016
Reputation: 0
Post: #43
(2016-02-19 14:16)Leopold Wrote:  
(2016-02-19 12:18)lilywhitespur Wrote:  
(2016-02-19 03:10)Leopold Wrote:  Try 2.6.0. If it still fails I'll need to look at your latest log file

2.6.0 still fails here is the latest log file http://paste.ubuntu.com/15129920/

I forgot that Android still uses Python 2.6 which has a less lenient html parser that cannot parse the html on the Spurs website. This means that until all platforms use 2.7 I will have to continue to use html5lib. You'll have to downgrade the add-on to 2.4.0 and probably start with a fresh profile to fix your errors related to libraries not being found.

Thanks for coming back to me again leopold. How do I downgrade the add on if the "rollback" option is not available to me in the add ons own settings?

Also does your findings above explain how the add on still works on my fire tv box which is also android based
find quote
VanZan Offline
Donor
Posts: 594
Joined: Jun 2007
Reputation: 4
Location: Limerick, Ireland.
Post: #44
Bring up the context menu for the addon, select "Add-on Information", then select "Update" and the previous version should be there. That's for me on Jarvis anyway.
(This post was last modified: 2016-02-19 15:33 by VanZan.)
find quote
Leopold Offline
Fan
Posts: 358
Joined: Jan 2011
Reputation: 14
Location: UK
Post: #45
(2016-02-19 14:34)lilywhitespur Wrote:  
(2016-02-19 14:16)Leopold Wrote:  
(2016-02-19 12:18)lilywhitespur Wrote:  2.6.0 still fails here is the latest log file http://paste.ubuntu.com/15129920/

I forgot that Android still uses Python 2.6 which has a less lenient html parser that cannot parse the html on the Spurs website. This means that until all platforms use 2.7 I will have to continue to use html5lib. You'll have to downgrade the add-on to 2.4.0 and probably start with a fresh profile to fix your errors related to libraries not being found.

Thanks for coming back to me again leopold. How do I downgrade the add on if the "rollback" option is not available to me in the add ons own settings?

Also does your findings above explain how the add on still works on my fire tv box which is also android based
I think if you go to the add-on manager and select Spurs TV you can click Update and will be shown a menu of available versions. I'm using a recent nightly though so I'm not sure if you have the same behaviour. If not you can always install from zip as a last resort http://addons.leopold.me.uk/plugin.video...-2.4.0.zip

You appear to have a general issue related to paths and libraries not being found, because there are errors from other add-ons in the log as well. So it's a problem with the system rather than the add-on itself. I suggest wiping the profile and starting from scratch. You can use the backup add-on to backup and restore settings.

Leopold's Repository: Home of LibreELEC Dev Updater ...
find quote
Post Reply